- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.TvCampaignSummariesListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#body.aspect)
- [TvCampaignSummary](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#TvCampaignSummary)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#TvCampaignSummary.SCHEMA_REPRESENTATION)
- [CampaignComponentType](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#CampaignComponentType)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#try-it)

Retrieves a list of TV campaign summaries.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/tvCampaignSummaries`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `accountId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Account ID associated with this request. |
| `name` | `string` Required. Search string to filter the list of TV campaign summaries. Matches any substring. Required field. |
| `countryDartId` | `string (https://developers.google.com/discovery/v1/type-format format)` Optional. Country Dart ID. If not specified, defaults to 256 (US). |
| `tvDataProvider` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/countries#Country.TvDataProvider`)`` Optional. TV data provider. If not specified, defaults to `COMSCORE_NATIONAL_US`. |

### Request body

The request body must be empty.

### Response body

Response message for TvCampaignSummariesService.List.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "tvCampaignSummaries": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#TvCampaignSummary`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#tvCampaignSummariesListResponse"`. |
| `tvCampaignSummaries[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#TvCampaignSummary`)`` tvCampaignSummaries.list of TV campaign summaries. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`

## TvCampaignSummary

TvCampaignSummary contains aggregate data from a TV campaign.

| JSON representation |
|---|
| ``` { "id": string, "name": string, "type": enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#CampaignComponentType`), "spend": number, "impressions": string, "grp": string, "startDate": string, "endDate": string, "kind": string } ``` |

| Fields ||
|---|---|
| `id` | `string` ID of this TV campaign. |
| `name` | `string` Identifier. Name of this TV campaign. |
| `type` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/tvCampaignSummaries/list#CampaignComponentType`)`` `"CampaignComponentType"` of this TV campaign. |
| `spend` | `number` Spend across the entire TV campaign. |
| `impressions` | `string (https://developers.google.com/discovery/v1/type-format format)` Impressions across the entire TV campaign. |
| `grp` | `string (https://developers.google.com/discovery/v1/type-format format)` GRP of this TV campaign. |
| `startDate` | `string` The start date of the TV campaign, inclusive. A string of the format: "yyyy-MM-dd". |
| `endDate` | `string` The end date of the TV campaign, inclusive. A string of the format: "yyyy-MM-dd". |
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#tvCampaignSummary"`. |

## CampaignComponentType

Enum listing the different types of TV campaigns.

| Enums ||
|---|---|
| `CAMPAIGN_COMPONENT_TYPE_UNSPECIFIED` | Required to exist; do not use. |
| `COMPANY` | Company. |
| `BRAND` | Brand. |
| `PRODUCT` | Product. |
| `CAMPAIGN` | Campaign. |